KEYSERV(8C)

NAME
keyserv - server for storing public and private keys

SYNOPSIS
keyserv [ -n ]

DESCRIPTION
keyserv is a daemon that is used for storing the private encryption keys of each user logged into the system. These encryption keys are using for accessing secure network services such as secure NFS. When a user logs in to the system, the login(1) program uses the login password to decrypt the user's encryption key stored in the Network Information Service, and then gives the decrypted key to the keyserv daemon to store away.

Normally, root's key is read from the file /etc/.rootkey when the daemon starts up. This is useful during power-fail reboots when no one is around to type a password, yet you still want the secure network services to operate normally.

OPTIONS

-n  Do not read root's key from /etc/.rootkey. Instead, prompt the user for the password to decrypt root 's key stored in the Network Information Service and then store the decrypted key in /etc/.rootkey for future use. This option is useful if the /etc/.rootkey file ever gets out of date or corrupted.

FILES
/etc/.rootkey

SEE ALSO
login(1), publickey(5)